# Project 2 (P2) grading rubric

## Code reviews

- A TA / grader will be reviewing your code after the deadline.
- They will make deductions based on the Rubric provided below.
- To ensure that you don't lose any points in code review, you must review the rubric and make sure that you have followed the instructions provided in the project correctly.

## Rubric

### General guidelines:
- Did not save the notebook file prior to running the cell containing "export". We cannot see your output if you do not save before generating the zip file. This deduction will become stricter for future projects. (-1)


### Question specific guidelines:

- Q2 deduction
	- `grad_course_num` variable is hardcoded as 319 (-5)

- Q3 deduction 
	- `num_cartons` variable is hardcoded as 168 (-5)

- Q5 deduction 
	- `data_type` variable is hardcoded as int (-5)

- Q6 deduction
	- `data_type` variable is hardcoded as float (-5)

- Q7 deduction
	- `data_type` variable is hardcoded as str (-5)

- Q8 deduction
	- `data_type` variable is hardcoded as bool (-5)

- Q9 deduction
	- `data_type` variable is hardcoded as str (-5)

- Q10 deduction
	- `data_type` variable is hardcoded as bool (-5)

- Q11 deduction
	- `smileys` variable is hardcoded (-5)

- Q12 deduction 
	- `curr_year` variable is hardcoded as "2023" (-5)

- Q13 deductions
	- `cube_volume` variable is hardcoded as 216 (-5)
	- `cube_side` variable is not used in `cube_volume` computation (-1)

- Q14 deductions
	- `cylinder_volume` variable is hardcoded as 3400.62 (-5)
	- `cylinder_radius` variable is not defined, initialized, and used in `cube_volume` computation (-1)
	- `cylinder_height` variable is not defined, initialized, and used in `cube_volume` computation (-1)

- Q15 deductions
	- `safe_operation` variable is hardcoded as True (-5)
	- Expression to compute `safe_operation` is incorrect (-5)
	- `TRAILER_LIMIT` and / or `trailer_weight` values are modified (-1)
	- Equals comparison was missing (-0.5)

- Q16 deductions 
	- `safe_operation` variable is hardcoded as True (-5)
	- Expression to compute `safe_operation` is incorrect (-5)
	- `UPPER_LIMIT` and / or `LOWER_LIMIT` and / or `truck_weight` values are modified (-1)
	- Equals comparison was missing (-0.5)

- Q17 deductions
	- success variable is hardcoded as True (-5)
	- Expression to compute success is changed (-5)
	- More than 1 variable's initialization value is changed (-1)

- Q18 deductions
	- success variable is hardcoded as False (-5)
	- Expression to compute success was not modified correctly (-5)
	- Variables `short` and / or `dark` are initialized to different values (-1)

- Q19 deductions
	- `primary_color` variable is hardcoded as True (-5)
	- Expression to compute `primary_color` is incorrect (-5)
	- Variable `color` is initialized to different value (-1)

- Q20 deductions
	- `average_score` variable is hardcoded as 33.75 (-5)
	- Expression to compute `average_score` is incorrect (-5)
	- `alice_score` variables is not defined, initialized, and used in `average_score` computation (-0.5)
	- `bob_score` variables is not defined, initialized, and used in `average_score` computation (-0.5)
	- `chang_score` variables is not defined, initialized, and used in `average_score` computation (-0.5)
	- `divya_score` variables is not defined, initialized, and used in `average_score` computation (-0.5)
